{capture name="mainbox"}

    {capture name="sidebar"}
        {include file="addons/sw_bifit_online/views/sw_bifit_online/components/logs_search_form.tpl"}
    {/capture}

    {include file="common/pagination.tpl" save_current_page=true save_current_url=true}

    {assign var="return_current_url" value=$config.current_url|escape:url}

    {if $logs}
        <table width="100%" class="table table-middle table--relative">
            <thead>
                <tr>
                    <th>{__("date")}</th>
                    <th>{__("url")}/{__("message")}</th>
                    <th>{__("status")}</th>
                    <th>{__("sw_bifit_online.logs.request")} / {__("sw_bifit_online.logs.response")}</th>
                </tr>
            </thead>
            {foreach from=$logs item="log_data"}
                <tr>
                    <td>
                        <small class="nowrap muted">
                            {$log_data.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}
                        </small>
                    </td>
                    <td width="20%" class="wrap">{$log_data.url}<br/><br/>
                    <b>{__("message")}:</b>
                    {$log_data.message}
                    </td>
                    <td width="10%">
                        {$statuses[$log_data.status]}
                    </td>
                    <td class="wrap">
                        <strong>{__("sw_bifit_online.logs.request")}</strong>
                        <div>{$log_data.request}</div>
                        <strong>{__("sw_bifit_online.logs.response")}</strong>
                        <div>{$log_data.response}</div>
                    </td>
                </tr>
            {/foreach}
        </table>
    {else}
        <p class="no-items">{__("no_data")}</p>
    {/if}

    {include file="common/pagination.tpl"}
{/capture}


{include file="common/mainbox.tpl" title=__("sw_bifit_online.logs") content=$smarty.capture.mainbox sidebar=$smarty.capture.sidebar}
